Loading...
Searching...
No Matches
Magick::DrawableCompositeImage Class Reference
Inheritance diagram for Magick::DrawableCompositeImage:

## Public Member Functions

| DrawableCompositeImage (double x_, double y_, const std::string &filename_)
| DrawableCompositeImage (double x_, double y_, const Image &image_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const std::string &filename_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const Image &image_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const std::string &filename_, CompositeOperator composition_)
| DrawableCompositeImage (double x_, double y_, double width_, double height_, const Image &image_, CompositeOperator composition_)
| DrawableCompositeImage (const DrawableCompositeImage &original_)
DrawableCompositeImage & | operator= (const DrawableCompositeImage &original_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | composition (CompositeOperator composition_)
CompositeOperator | composition (void) const
void | filename (const std::string &image_)
std::string | filename (void) const
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | width (double width_)
double | width (void) const
void | height (double height_)
double | height (void) const
void | image (const Image &image_)
Magick::Image | image (void) const
void | magick (std::string magick_)
std::string | magick (void)

## Private Attributes

CompositeOperator | _composition
double | _x
double | _y
double | _width
double | _height
Image * | _image

## Detailed Description

Definition at line 723 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableCompositeImage() [1/5]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | const std::string & | filename_ )

Definition at line 534 of file Drawable.cpp.

: _composition(CopyCompositeOp),
_x(x_),
_y(y_),
_width(0),
_height(0),
_image(new Image(filename_))
{
_width=(double) _image->columns();
_height=(double) _image->rows();
}

## DrawableCompositeImage() [2/5]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | const Image & | image_ )

Definition at line 547 of file Drawable.cpp.

: _composition(CopyCompositeOp),
_x(x_),
_y(y_),
_width(0),
_height(0),
_image(new Image(image_))
{
_width=(double) _image->columns();
_height=(double) _image->rows();
}

## DrawableCompositeImage() [3/5]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const std::string & | filename_ )

Definition at line 510 of file Drawable.cpp.

:_composition(CopyCompositeOp),
_x(x_),
_y(y_),
_width(width_),
_height(height_),
_image(new Image(filename_))
{
}

## DrawableCompositeImage() [4/5]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | double | x_,
|  | double | y_,
|  | double | width_,
|  | double | height_,
|  | const Image & | image_ )

Definition at line 522 of file Drawable.cpp.

:_composition(CopyCompositeOp),
_x(x_),
_y(y_),
_width(width_),
_height(height_),
_image(new Image(image_))
{
}

## DrawableCompositeImage() [5/5]

Magick::DrawableCompositeImage::DrawableCompositeImage | ( | const DrawableCompositeImage & | original_ | ) |

Definition at line 561 of file Drawable.cpp.

: Magick::DrawableBase(original_),
_composition(original_._composition),
_x(original_._x),
_y(original_._y),
_width(original_._width),
_height(original_._height),
_image(new Image(*original_._image))
{
}

## ~DrawableCompositeImage()

Magick::DrawableCompositeImage::~DrawableCompositeImage | ( | void |  | ) |

Definition at line 572 of file Drawable.cpp.

{
delete _image;
}

## Member Function Documentation

## composition() [1/2]

void Magick::DrawableCompositeImage::composition | ( | CompositeOperator | composition_ | ) |

inline

Definition at line 766 of file Drawable.h.

{
_composition = composition_;
}

## composition() [2/2]

CompositeOperator Magick::DrawableCompositeImage::composition | ( | void |  | ) | const

inline

Definition at line 770 of file Drawable.h.

{
return _composition;
}

## copy()

Magick::DrawableBase * Magick::DrawableCompositeImage::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 638 of file Drawable.cpp.

{
return new DrawableCompositeImage(*this);
}

## filename() [1/2]

void Magick::DrawableCompositeImage::filename | ( | const std::string & | image_ | ) |

Definition at line 594 of file Drawable.cpp.

{
Image* temp_image = new Image(filename_);
delete _image;
_image = temp_image;
}

## filename() [2/2]

std::string Magick::DrawableCompositeImage::filename | ( | void |  | ) | const

Definition at line 600 of file Drawable.cpp.

{
return _image->fileName();
}

## height() [1/2]

void Magick::DrawableCompositeImage::height | ( | double | height_ | ) |

inline

Definition at line 805 of file Drawable.h.

{
_height = height_;
}

## height() [2/2]

double Magick::DrawableCompositeImage::height | ( | void |  | ) | const

inline

Definition at line 809 of file Drawable.h.

{
return _height;
}

## image() [1/2]

void Magick::DrawableCompositeImage::image | ( | const Image & | image_ | ) |

Definition at line 605 of file Drawable.cpp.

{
Image* temp_image = new Image(image_);
delete _image;
_image = temp_image;
}

## image() [2/2]

Magick::Image Magick::DrawableCompositeImage::image | ( | void |  | ) | const

Definition at line 611 of file Drawable.cpp.

{
return *_image;
}

## magick() [1/2]

void Magick::DrawableCompositeImage::magick | ( | std::string | magick_ | ) |

Definition at line 617 of file Drawable.cpp.

{
_image->magick( magick_ );
}

## magick() [2/2]

std::string Magick::DrawableCompositeImage::magick | ( | void |  | ) |

Definition at line 621 of file Drawable.cpp.

{
return _image->magick();
}

## operator()()

void Magick::DrawableCompositeImage::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 626 of file Drawable.cpp.

{
MagickWand
*magick_wand;
magick_wand=NewMagickWandFromImage(_image->constImage());
(void) DrawComposite( context_, _composition, _x, _y, _width, _height,
magick_wand );
magick_wand=DestroyMagickWand(magick_wand);
}

## operator=()

Magick::DrawableCompositeImage & Magick::DrawableCompositeImage::operator= | ( | const DrawableCompositeImage & | original_ | ) |

Definition at line 577 of file Drawable.cpp.

{
// If not being set to ourself
if ( this != &original_ )
{
_composition = original_._composition;
_x = original_._x;
_y = original_._y;
_width = original_._width;
_height = original_._height;
Image* temp_image = new Image(*original_._image);
delete _image;
_image = temp_image;
}
return *this;
}

## width() [1/2]

void Magick::DrawableCompositeImage::width | ( | double | width_ | ) |

inline

Definition at line 796 of file Drawable.h.

{
_width = width_;
}

## width() [2/2]

double Magick::DrawableCompositeImage::width | ( | void |  | ) | const

inline

Definition at line 800 of file Drawable.h.

{
return _width;
}

## x() [1/2]

void Magick::DrawableCompositeImage::x | ( | double | x_ | ) |

inline

Definition at line 778 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::DrawableCompositeImage::x | ( | void |  | ) | const

inline

Definition at line 782 of file Drawable.h.

{
return _x;
}

## y() [1/2]

void Magick::DrawableCompositeImage::y | ( | double | y_ | ) |

inline

Definition at line 787 of file Drawable.h.

{
_y = y_;
}

## y() [2/2]

double Magick::DrawableCompositeImage::y | ( | void |  | ) | const

inline

Definition at line 791 of file Drawable.h.

{
return _y;
}

## Field Documentation

## _composition

CompositeOperator Magick::DrawableCompositeImage::_composition

private

Definition at line 822 of file Drawable.h.

## _height

double Magick::DrawableCompositeImage::_height

private

Definition at line 826 of file Drawable.h.

## _image

Image* Magick::DrawableCompositeImage::_image

private

Definition at line 827 of file Drawable.h.

## _width

double Magick::DrawableCompositeImage::_width

private

Definition at line 825 of file Drawable.h.

## _x

double Magick::DrawableCompositeImage::_x

private

Definition at line 823 of file Drawable.h.

## _y

double Magick::DrawableCompositeImage::_y

private

Definition at line 824 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp